import request from '@/utils/request'

// 查询幼儿园检测报告列表
export function listKindergartenCheckReport(query) {
    return request({
        url: '/system/kindergartenCheckReport/list',
        method: 'get',
        params: query
    })
}




// 查询幼儿园检测报告详细
export function existKindergartenCheckReport(kindergartenId, batchCode) {
    return request({
        url: `/system/kindergartenCheckReport/existKindergartenCheckReport?kindergartenId=${kindergartenId}&batchCode=${batchCode}`,
        method: 'get'
    })
}

// 修改幼儿园检测报告
export function updateKindergartenCheckReport(data) {
    return request({
        url: '/system/kindergartenCheckReport/edit',
        method: 'POST',
        data: data
    })
}

// 幼儿园报告预览
export function report(kindergartenId, batchCode) {
    return request({
        url: `/system/checkReport/kindergarten/constitution?kindergartenId=${kindergartenId}&batchCode=${batchCode}`,
        method: 'POST'
    })
}

// 幼儿园报告上传接口

export function uploadKindergartenCheckReport(data) {
    return request({
        url: `/system/kindergartenCheckReport/uploadKindergartenCheckReport`,
        method: 'POST',
        data
    })
}